Bug 517813 - IMAP folder tree don't loaded correctly.
Summary: IMAP folder tree don't loaded correctly.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 10:29 UTC by Pavel Alexeev
Modified: 2018-04-11 11:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-29 09:14:31 UTC


Attachments (Terms of Use)

Description Pavel Alexeev 2009-08-17 10:29:08 UTC
Description of problem:
After last update Thunderbird load tree of IMAP-folders only partial.

Version-Release number of selected component (if applicable):
# rpm -q thunderbird
thunderbird-3.0-2.6.b3.fc11.i586


How reproducible:
Always.

I was try delete cache folder and ImapMail/imap.gmail-1.com and restart thunderbird, but always repeat.

Comment 1 Matěj Cepl 2009-08-17 10:52:27 UTC
Cannot reproduce here ... could you reproduce with the latest upstream binary from ftp://ftp.mozilla.org/pub/thunderbird/nightly/latest-comm-1.9.1/ ? 

Otherwise looks like a duplicate of bug 517735

Comment 2 Pavel Alexeev 2009-08-17 11:40:40 UTC
Now I downgrade thunderbird to version:
# rpm -q thunderbird
thunderbird-3.0-2.3.beta2.fc11.i586
and it is work now.

For the last upstream build is there rpm to try? Or I must build it himself?

And yes, it look similar, except of "subfolders visible". Some subfolders, randomly as I can understand. Some not. If again choose "subscribe" and hit fresh folder button some folders may appear, but some not. I don't found any order there. It seams as thunderbird start load tree, but drop do it on middle of process.

And also it too is gmail.
When I come to home, I setup perdition imap-proxy to have unencrypted connection and catch all IMAP-speaking, than we could speak more precisely.

Comment 3 Matěj Cepl 2009-08-17 14:45:47 UTC
(In reply to comment #2)
> For the last upstream build is there rpm to try? Or I must build it himself?

Now, the directory I have pointed you to has binaries which work on Fedora 11. Just unpack it somewhere (anywhere) and run ./thunderbird from that directory (just to be sure, make a backup of ~/.thunderbird).

Thanks for fast response.

Comment 4 Pavel Alexeev 2009-08-17 22:27:50 UTC
No, this build also have this problem :(

Comment 5 Pavel Alexeev 2009-08-24 17:47:12 UTC
What is interesting - I setup perdition proxy to be able sniff gmail encrypted session and... and can't reproduce error now. All works through proxy. So, I don't known how deal with that problem and what can help :(

Please, say, if I can halp anything.

Comment 6 Bug Zapper 2010-04-28 09:48:01 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.